<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{81E9DAAC-18C3-4736-8122-D9E383CBAE31}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>Protra.Lib</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>Protra.Lib</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <TargetFrameworkSubset>
    </TargetFrameworkSubset>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>Protra.Lib.xml</DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>..\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;MUJINZOU</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\temp\</OutputPath>
    <DefineConstants>TRACE;DEBUG;MUJINZOU</DefineConstants>
    <BaseAddress>285212672</BaseAddress>
    <DocumentationFile>Protra.Lib.xml</DocumentationFile>
    <FileAlignment>4096</FileAlignment>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <OutputPath>..\temp\</OutputPath>
    <DefineConstants>TRACE;MUJINZOU</DefineConstants>
    <BaseAddress>285212672</BaseAddress>
    <Optimize>true</Optimize>
    <FileAlignment>4096</FileAlignment>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Archiver\IExtracter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Archiver\LhaExtracter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ConfigFile.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Config\BrandListConfig.cs" />
    <Compile Include="Config\ConfigBase.cs" />
    <Compile Include="Config\ProtraConfig.cs" />
    <Compile Include="Config\PtSimConfig.cs" />
    <Compile Include="Config\UpdateConfig.cs" />
    <Compile Include="Controls\PtFileTreeView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Data\GlobalData.cs" />
    <Compile Include="Data\LogData.cs" />
    <Compile Include="Data\PriceData.cs" />
    <Compile Include="Db\Brand.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Db\BrandList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Db\Connection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Data\BrandData.cs" />
    <Compile Include="Db\Market.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Dialogs\ApplicationError.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\EditBrandListContentDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\EditBrandListDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\InputDateDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Global.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArithmeticExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArithmeticTermNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ArrayNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\BreakStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Buffer.cs" />
    <Compile Include="Lang\Builtins\BasicBuiltins.cs" />
    <Compile Include="Lang\Builtins\Builtins.cs" />
    <Compile Include="Lang\Builtins\DrawBuiltins.cs" />
    <Compile Include="Lang\Builtins\MathBuiltins.cs" />
    <Compile Include="Lang\Builtins\SimulateBuiltins.cs" />
    <Compile Include="Lang\ComparisonNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ContinueStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\EmptyStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\EquivalenceComparisonNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ExpressionStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionDefinitionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\FunctionType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\IfStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Interpreter.cs" />
    <Compile Include="Lang\LiteralNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\LogicalExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\LogicalTermNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Node.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ParseException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\PrefixedExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\PrimaryNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ProgramNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Resource.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\ReturnStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\RuntimeException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Scanner.cs" />
    <Compile Include="Lang\StatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\SuffixedExpressionNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\Token.cs" />
    <Compile Include="Lang\Value.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\VariableNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Lang\WhileStatementNode.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Update\KdbComUpdator.cs" />
    <Compile Include="Update\MujinzouUpdator.cs" />
    <Compile Include="Update\PriceDataUpdator.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Update\KabukaJohoUpdator.cs" />
    <Compile Include="Update\YahooFinanceUpdator.cs" />
    <Compile Include="Utils.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Win32API.cs" />
    <EmbeddedResource Include="Controls\PtFileTreeView.resx">
      <DependentUpon>PtFileTreeView.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ApplicationError.resx">
      <DependentUpon>ApplicationError.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\EditBrandListContentDialog.resx">
      <DependentUpon>EditBrandListContentDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\EditBrandListDialog.resx">
      <DependentUpon>EditBrandListDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\InputDateDialog.resx">
      <DependentUpon>InputDateDialog.cs</DependentUpon>
    </EmbeddedResource>
    <Content Include="Controls\CloseFold.ico" />
    <Content Include="Controls\OpenFold.ico" />
    <Content Include="Controls\Pt.ico" />
    <Content Include="Db\protra.sql" />
    <Content Include="Lang\BNF.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>